创建图生图任务
curl --request POST \
--url https://ai.alad.com/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "doubao-seedream-4-5-251128",
"prompt": "生成女孩和奶牛玩偶在游乐园开心地坐过山车的图片",
"image": [
"https://example.com/ref1.png",
"https://example.com/ref2.png"
],
"sequential_image_generation": "auto",
"sequential_image_generation_options": {
"max_images": 3
},
"size": "2048x2048",
"watermark": false,
"seed": 123,
"logo_info": {
"add_logo": true,
"position": 123,
"language": 123,
"opacity": 123
}
}
'import requests
url = "https://ai.alad.com/v1/images/generations"
payload = {
"model": "doubao-seedream-4-5-251128",
"prompt": "生成女孩和奶牛玩偶在游乐园开心地坐过山车的图片",
"image": ["https://example.com/ref1.png", "https://example.com/ref2.png"],
"sequential_image_generation": "auto",
"sequential_image_generation_options": { "max_images": 3 },
"size": "2048x2048",
"watermark": False,
"seed": 123,
"logo_info": {
"add_logo": True,
"position": 123,
"language": 123,
"opacity": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'doubao-seedream-4-5-251128',
prompt: '生成女孩和奶牛玩偶在游乐园开心地坐过山车的图片',
image: ['https://example.com/ref1.png', 'https://example.com/ref2.png'],
sequential_image_generation: 'auto',
sequential_image_generation_options: {max_images: 3},
size: '2048x2048',
watermark: false,
seed: 123,
logo_info: {add_logo: true, position: 123, language: 123, opacity: 123}
})
};
fetch('https://ai.alad.com/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"model": "doubao-seedream-4-5-251128",
"created": 1775029815,
"data": [
{
"url": "https://ark-content-generation-v2-cn-beijing.example.com/image.png",
"size": "2048x2048"
}
],
"usage": {
"generated_images": 1,
"output_tokens": 16384,
"total_tokens": 16384
}
}ByteDance
Seedream 4.5 图生图
使用 doubao-seedream-4-5-251128 模型从文本和参考图片生成图片。
POST
/
v1
/
images
/
generations
创建图生图任务
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
Model ID
可用选项:
doubao-seedream-4-5-251128 示例:
"doubao-seedream-4-5-251128"
图片生成提示词。
示例:
"生成女孩和奶牛玩偶在游乐园开心地坐过山车的图片"
参考图片 URL 列表,用于图生图。图生图时必填。
示例:
[
"https://example.com/ref1.png",
"https://example.com/ref2.png"
]
连续图片生成模式。设为 'auto' 可批量生成多张图片。
可用选项:
auto 连续图片生成选项。
Show child attributes
Show child attributes
输出图片尺寸。
可用选项:
2048x2048, 1728x2304, 2304x1728, 2848x1600, 1600x2848, 2496x1664, 1664x2496, 3136x1344, 4096x4096, 3520x4704, 4704x3520, 5504x3040, 3040x5504, 3328x4992, 4992x3328, 6240x2656 示例:
"2048x2048"
是否添加水印。
随机种子,用于复现结果。
自定义 Logo 水印配置。
Show child attributes
Show child attributes
⌘I

